<?php

namespace App\Http\Requests\Backend\Auth;

use Illuminate\Foundation\Http\FormRequest;

class LoginRequest extends FormRequest
{
    public function rules(): array
    {
        return [
            "email"    => "required|email",
            "password" => "required",
            // "password" => "required|min:6",
        ];
    }

    public function messages(): array
    {
        return [
            'email.required'    => '請輸入帳號',
            'email.email'       => 'Email 格式錯誤',
            'password.required' => '請輸入密碼',
            // 'password.min'      => '密碼長度至少 6 碼',
        ];
    }
}
